/**************************************************************************
/* ShadowJAAS - a JAAS authentication provider for the
/* shadow-password system of Linux.
/*
/* Copyright (c) 2002 by Bernhard Bablok (mail@bablokb.de)
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU Library General Public License as published
/* by  the Free Software Foundation; either version 2 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Library General Public License for more details.
/*
/* You should have received a copy of the GNU Library General Public License
/* along with this program; see the file COPYING.LIB.  If not, write to
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330,
/* Boston, MA  02111-1307 USA
/**************************************************************************/

package test;


import java.security.*;

/**
   This is a sample class which uses the defined security-manager to check
   access to itself.

   @version $Revision: 1.2 $
   @author  $Author: Bablokb $
*/

public class Restricted implements PrivilegedAction {
  
  public Restricted() {
  }
 
  public Object run() {
    RuntimePermission rp = new RuntimePermission("accessDeclaredMembers");
    AccessController.checkPermission(rp);
    System.out.println("running restricted code ... done");
    return null;
  }
}
