%define version 1.0.0

Summary: JAAS-compliant authentication provider for shadow-passwords
Copyright: GNU Lesser General Public License
Group: Development/Java
Name: shadowjaas
Prefix: /usr
Provides: shadowjaas
Packager: Bernhard Bablok (mail@bablokb.de)
Release: 1
Source: %{name}-%{version}-src.tar.bz2
URL: http://www.bablokb.de/jaas/index.html
Version: %{version}
Buildroot: /tmp/shadowjaas-build

%description
This is a JAAS-compliant authentication-provider using the shadow-password
system of Linux. It allows authentication and authorization using
shadow-passwords and usernames, uids and gids.

%prep
%setup -q

%build

%install
rm -fr $RPM_BUILD_ROOT
make world
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/%{name}
%{prefix}/share/java/%{name}.jar
%{prefix}/share/java/%{name}_test.jar
%{prefix}/share/java/%{name}_test_restricted.jar
%doc NEWS ChangeLog README VERSION api
